Security Token Service API

The Security Token Service exchanges Google or third-party credentials for a short-lived access token to Google Cloud resources.

Service: sts.googleapis.com

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://sts.googleapis.com

Regional service endpoint

A regional service endpoint is a base URL that specifies the network address of an API service in a single region. A service that is available in multiple regions might have multiple regional endpoints. Select a location to see its regional service endpoint for this service.


  • https://sts.googleapis.com
  • REST Resource: v1beta

    Methods
    token POST /v1beta/token
    Exchanges a credential for a Google OAuth 2.0 access token.

    REST Resource: v1

    Methods
    token POST /v1/token
    Exchanges a credential for a Google OAuth 2.0 access token.

    REST Resource: v1.organizations.locations.workloadIdentityPools.openid

    Methods
    getJwks GET /v1/{name=organizations/*/locations/*/workloadIdentityPools/*}/openid/jwks
    Fetches the signing keys for an agentic or managed workload identity pool and returns them in JWK Set format, defined in RFC 7517.

    REST Resource: v1.organizations.locations.workloadIdentityPools.well-known

    Methods
    getOpenid-configuration GET /v1/{name=organizations/*/locations/*/workloadIdentityPools/*}/.well-known/openid-configuration
    Gets the OIDC provider configuration for an agentic or managed workload identity pool following the OIDC 1.0 discovery specification.

    REST Resource: v1.projects.locations.workloadIdentityPools.openid

    Methods
    getJwks GET /v1/{name=projects/*/locations/*/workloadIdentityPools/*}/openid/jwks
    Fetches the signing keys for an agentic or managed workload identity pool and returns them in JWK Set format, defined in RFC 7517.

    REST Resource: v1.projects.locations.workloadIdentityPools.well-known

    Methods
    getOpenid-configuration GET /v1/{name=projects/*/locations/*/workloadIdentityPools/*}/.well-known/openid-configuration
    Gets the OIDC provider configuration for an agentic or managed workload identity pool following the OIDC 1.0 discovery specification.